# coding: utf-8

require_relative 'spec_helper'

RSpec.describe 'IyziPay' do
  before :all do
    @options = IyziPay::Options.new
    @options.api_key = YAML.load_file('.secrets.yml')['test']['api_key']
    @options.secret_key = YAML.load_file('.secrets.yml')['test']['secret_key']
    @options.base_url = YAML.load_file('.secrets.yml')['test']['base_url']
  end

  it 'should approve payment item' do
    request = {
        locale: IyziPay::Model::Locale::TR,
        conversationId: '123456789',
        paymentTransactionId: '1'
    }
    approval = IyziPay::Model::Approval.new.create(request, @options)
    begin
      $stderr.puts approval.inspect
    rescue
      $stderr.puts 'oops'
      raise
    end
  end

  after :each do
  end
end
