# coding: utf-8

require_relative 'spec_helper'

RSpec.describe 'IyziPay' do
  before :all do
    @options = IyziPay::Options.new
    @options.api_key = YAML.load_file('.secrets.yml')['test']['api_key']
    @options.secret_key = YAML.load_file('.secrets.yml')['test']['secret_key']
    @options.base_url = YAML.load_file('.secrets.yml')['test']['base_url']
  end

  it 'should retrieve bin number' do
    request = {
        locale: IyziPay::Model::Locale::TR,
        conversationId: '123456789',
        binNumber: '554960',
        price: '100'
    }
    installment_info = IyziPay::Model::InstallmentInfo.new.retrieve(request, @options)
    begin
      $stderr.puts installment_info.inspect
    rescue
      $stderr.puts 'oops'
      raise
    end
  end

  after :each do
  end
end
